package jesse.keeblarcraft.datagen;

import jesse.keeblarcraft.CustomBlocks.BlockManager;
import net.fabricmc.fabric.api.datagen.v1.FabricDataOutput;
import net.fabricmc.fabric.api.datagen.v1.provider.FabricModelProvider;
import net.minecraft.data.client.BlockStateModelGenerator;
import net.minecraft.data.client.ItemModelGenerator;

public class KeeblarModelProvider extends FabricModelProvider {

    public KeeblarModelProvider(FabricDataOutput output) {
        super(output);
    }

    @Override
    public void generateBlockStateModels(BlockStateModelGenerator blockStateModelGenerator) {
        blockStateModelGenerator.registerSimpleState(BlockManager.GetBlock("faction_base_block"));
    }

    @Override
    public void generateItemModels(ItemModelGenerator itemModelGenerator) {

    }

}
